﻿module("VOICE")

distances = {}

distances.patterns = {
	L"100_kilometers",
	L"100_kilometers_drive",
	L"10_kilometers",
	L"10_kilometers_drive",
	L"10_miles",
	L"10_miles_drive",
	L"120_miles",
	L"120_miles_drive",
	L"150_kilometers",
	L"150_kilometers_drive",
	L"150_miles",
	L"150_miles_drive",
	L"180_miles",
	L"180_miles_drive",
	L"1_kilometer",
	L"1_kilometer_drive",
	L"1_mile",
	L"1_mile_drive",
	L"1point5_kilometers",
	L"1point5_kilometers_drive",
	L"200_kilometers",
	L"200_kilometers_drive",
	L"200_miles",
	L"200_miles_drive",
	L"20_kilometers",
	L"20_kilometers_drive",
	L"20_miles",
	L"20_miles_drive",
	L"250_kilometers",
	L"250_kilometers_drive",
	L"250_miles",
	L"250_miles_drive",
	L"2_kilometers",
	L"2_kilometers_drive",
	L"2_miles",
	L"2_miles_drive",
	L"300_kilometers",
	L"300_kilometers_drive",
	L"300_miles",
	L"300_miles_drive",
	L"30_kilometers",
	L"30_kilometers_drive",
	L"30_miles",
	L"30_miles_drive",
	L"350_kilometers",
	L"350_kilometers_drive",
	L"35_miles",
	L"35_miles_drive",
	L"3_kilometers",
	L"3_kilometers_drive",
	L"3_miles",
	L"3_miles_drive",
	L"400_kilometers",
	L"400_kilometers_drive",
	L"40_kilometers",
	L"40_kilometers_drive",
	L"450_kilometers",
	L"450_kilometers_drive",
	L"45_miles",
	L"45_miles_drive",
	L"4_kilometers",
	L"4_kilometers_drive",
	L"4_miles",
	L"4_miles_drive",
	L"500_kilometers",
	L"500_kilometers_drive",
	L"50_kilometers",
	L"50_kilometers_drive",
	L"50_miles",
	L"50_miles_drive",
	L"55_miles",
	L"55_miles_drive",
	L"5_kilometers",
	L"5_kilometers_drive",
	L"5_miles",
	L"5_miles_drive",
	L"60_kilometers",
	L"60_kilometers_drive",
	L"60_miles",
	L"60_miles_drive",
	L"6_kilometers",
	L"6_kilometers_drive",
	L"6_miles",
	L"6_miles_drive",
	L"70_kilometers",
	L"70_kilometers_drive",
	L"7_kilometers",
	L"7_kilometers_drive",
	L"80_kilometers",
	L"80_kilometers_drive",
	L"8_kilometers",
	L"8_kilometers_drive",
	L"90_kilometers",
	L"90_kilometers_drive",
	L"90_miles",
	L"90_miles_drive",
	L"9_kilometers",
	L"9_kilometers_drive",
	L"in_100_meters",
	L"in_150_meters",
	L"in_160_yards",
	L"in_1_kilometer",
	L"in_1_mile",
	L"in_1point5_kilometers",
	L"in_200_feet",
	L"in_200_meters",
	L"in_200_yards",
	L"in_250_meters",
	L"in_2_kilometers",
	L"in_2_miles",
	L"in_300_feet",
	L"in_300_meters",
	L"in_300_yards",
	L"in_3_kilometers",
	L"in_3_miles",
	L"in_3_quarter_mile",
	L"in_400_feet",
	L"in_400_meters",
	L"in_500_feet",
	L"in_500_meters",
	L"in_50_meters",
	L"in_50_yards",
	L"in_600_feet",
	L"in_600_meters",
	L"in_700_feet",
	L"in_700_meters",
	L"in_800_feet",
	L"in_800_meters",
	L"in_900_feet",
	L"in_900_meters",
	L"in_half_mile",
	L"in_quarter_mile",
	L"trip",
}

distances.meters = {
	0, "\121\0\0\0",
	50, "\121\0\0\0",
	100, "\99\0\0\0",
	150, "\100\0\0\0",
	200, "\106\0\0\0",
	250, "\108\0\0\0",
	300, "\112\0\0\0",
	400, "\118\0\0\0",
	500, "\120\0\0\0",
	600, "\124\0\0\0",
	700, "\126\0\0\0",
	800, "\129\0\0\0\0",
	900, "\129\2\0\0\0",
	1000, "\102\0\16\0\129\5\15\0",
	1500, "\104\0\20\0\129\5\19\0",
	2000, "\109\0\34\0\129\5\33\0",
	3000, "\114\0\50\0\129\5\49\0",
	4000, "\62\0\62\0\129\5\61\0",
	5000, "\74\0\74\0\129\5\73\0",
	6000, "\82\0\82\0\129\5\81\0",
	7000, "\88\0\88\0\129\5\87\0",
	8000, "\92\0\92\0\129\5\91\0",
	9000, "\98\0\98\0\129\5\97\0",
	10000, "\4\0\4\0\129\5\3\0",
	20000, "\26\0\26\0\129\5\25\0",
	30000, "\42\0\42\0\129\5\41\0",
	40000, "\56\0\56\0\129\5\55\0",
	50000, "\68\0\68\0\129\5\67\0",
	60000, "\78\0\78\0\129\5\77\0",
	70000, "\86\0\86\0\129\5\85\0",
	80000, "\90\0\90\0\129\5\89\0",
	90000, "\94\0\94\0\129\5\93\0",
	100000, "\2\0\2\0\129\5\1\0",
	150000, "\10\0\10\0\129\5\9\0",
	200000, "\22\0\22\0\129\5\21\0",
	250000, "\30\0\30\0\129\5\29\0",
	300000, "\38\0\38\0\129\5\37\0",
	350000, "\46\0\46\0\129\5\45\0",
	400000, "\54\0\54\0\129\5\53\0",
	450000, "\58\0\58\0\129\5\57\0",
	500000, "\66\0\66\0\129\5\65\0",
}

distances.feet = {
	0, "\105\0\0\0",
	61, "\105\0\0\0",
	91, "\111\0\0\0",
	122, "\117\0\0\0",
	152, "\119\0\0\0",
	183, "\123\0\0\0",
	213, "\125\0\0\0",
	244, "\127\0\0\0",
	274, "\129\1\0\0\0",
	402, "\129\4\0\0\0",
	805, "\129\3\0\0\0",
	1127, "\116\0\0\0",
	1609, "\103\0\18\0\129\5\17\0",
	3219, "\110\0\36\0\129\5\35\0",
	4828, "\115\0\52\0\129\5\51\0",
	6437, "\64\0\64\0\129\5\63\0",
	8047, "\76\0\76\0\129\5\75\0",
	9656, "\84\0\84\0\129\5\83\0",
	16093, "\6\0\6\0\129\5\5\0",
	32187, "\28\0\28\0\129\5\27\0",
	48280, "\44\0\44\0\129\5\43\0",
	56327, "\48\0\48\0\129\5\47\0",
	72420, "\60\0\60\0\129\5\59\0",
	80467, "\70\0\70\0\129\5\69\0",
	88514, "\72\0\72\0\129\5\71\0",
	96561, "\80\0\80\0\129\5\79\0",
	144841, "\96\0\96\0\129\5\95\0",
	193121, "\8\0\8\0\129\5\7\0",
	241402, "\12\0\12\0\129\5\11\0",
	289682, "\14\0\14\0\129\5\13\0",
	321869, "\24\0\24\0\129\5\23\0",
	402336, "\32\0\32\0\129\5\31\0",
	482803, "\40\0\40\0\129\5\39\0",
}

distances.yards = {
	0, "\122\0\0\0",
	46, "\122\0\0\0",
	146, "\101\0\0\0",
	183, "\107\0\0\0",
	274, "\113\0\0\0",
	402, "\129\4\0\0\0",
	805, "\129\3\0\0\0",
	1127, "\116\0\0\0",
	1609, "\103\0\18\0\129\5\17\0",
	3219, "\110\0\36\0\129\5\35\0",
	4828, "\115\0\52\0\129\5\51\0",
	6437, "\64\0\64\0\129\5\63\0",
	8047, "\76\0\76\0\129\5\75\0",
	9656, "\84\0\84\0\129\5\83\0",
	16093, "\6\0\6\0\129\5\5\0",
	32187, "\28\0\28\0\129\5\27\0",
	48280, "\44\0\44\0\129\5\43\0",
	56327, "\48\0\48\0\129\5\47\0",
	72420, "\60\0\60\0\129\5\59\0",
	80467, "\70\0\70\0\129\5\69\0",
	88514, "\72\0\72\0\129\5\71\0",
	96561, "\80\0\80\0\129\5\79\0",
	144841, "\96\0\96\0\129\5\95\0",
	193121, "\8\0\8\0\129\5\7\0",
	241402, "\12\0\12\0\129\5\11\0",
	289682, "\14\0\14\0\129\5\13\0",
	321869, "\24\0\24\0\129\5\23\0",
	402336, "\32\0\32\0\129\5\31\0",
	482803, "\40\0\40\0\129\5\39\0",
}

ordinals = {
	{L"1st", L"1stb", L"AbsentOrdinal"},
	{L"2nd", L"2ndb", L"AbsentOrdinal"},
	{L"3rd", L"3rdb", L"AbsentOrdinal"},
	{L"4th", L"4thb", L"AbsentOrdinal"},
	{L"5th", L"5thb", L"AbsentOrdinal"},
	{L"6th", L"6thb", L"AbsentOrdinal"},
	{L"7th", L"7thb", L"AbsentOrdinal"},
	{L"8th", L"8thb", L"AbsentOrdinal"},
	{L"9th", L"9thb", L"AbsentOrdinal"},
}

